#der-reader {
  position: relative;
  width: 100%;
  height: 100%;
}

*, *:after, *:before {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    font-size: 32px;
}

html, body {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

body {
    background-color: white;
    margin: 0;
    padding: 0;
    font-family: 'Arial', sans-serif;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    user-select: none;
    font-size: 96px;
}

.container {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
}

.container#canvas {
  z-index: 151;
}

.display-area {
  display: flex;
  flex-wrap: nowrap;
  width: 100%;
}

/* Header section, when no menu is open */
div .header {
  position: relative;
  width: 100vw;
  flex-grow: 1;
}

.der-container {
  display: flex;
  /* overflow: hidden; */
  flex-shrink: 0;
  flex-grow: 1;
  transform-origin: 0 0;
  z-index: 150;
}

.der-container-full{
  width: 100%;
}

.button {
  position: absolute;
  z-index: 900;
  top: 2.5%;
  pointer-events: all;
}

.button#filters {
  left: 2.5%;
}

.button#menu {
  right: 2.5%;
}

.modal {
  width: 100vw;
}

.currentTTSCaption {
  display: none;
}

/**
 * Display of TTS (currentTTSCaption)
 * Put everything displayed 105px to the bottom
 * * buttons
 * * modal
 * * calibrate canvas
 */
.container.displayTTSCaptions .currentTTSCaption {
  width: 100%;
  height: 105px;
  padding-top: 12px;
  font-size: 24px;
  text-align: center;
  display: block;
  background-color: beige;
}

.container.displayTTSCaptions .modal,
.container.displayTTSCaptions #canvas {
  top:105px;
}

/**
 * Display of the menu on the right
 */
.container.displayMenuRight .modal {
  height: 100vh;
  width: 500px;
  right: 0;
  left: unset;
}

.logos {
  display: flex;
  height: 100%;
  /* width: 100%; */
  flex-wrap: wrap;
  flex-basis: 300px;
  align-content: center;
  justify-content: center;
}

.logos img {
  max-width: 300px;
  margin: 1rem;
  width: 80%;
  object-fit: contain;
}
